package com.javaonpdas.ui;

import javax.microedition.lcdui.*;

public class StringItemMIDlet extends BaseUIMIDlet {

  private Command stringItemCommand =
    new Command("StringItem", Command.SCREEN, 1);

  public StringItemMIDlet() {
    super();
    mainForm.setTitle("StringItemMIDlet");
    mainForm.addCommand(stringItemCommand);
  }

  public void commandAction(Command c, Displayable d) {
    if (c == stringItemCommand) {
      Form stringItemForm = new Form("Your address details");
      StringItem addressLine1 =
        new StringItem("Address Line 1", "10 Main Street");
      StringItem addressLine2 =
        new StringItem("Address Line 2", "Townsville");
      StringItem postcode = new StringItem("Postcode", "7423");
      stringItemForm.append(addressLine1);
      stringItemForm.append(addressLine2);
      stringItemForm.append(postcode);
      stringItemForm.addCommand(backCommand);
      stringItemForm.addCommand(exitCommand);
      stringItemForm.setCommandListener(this);
      display.setCurrent(stringItemForm);
    }
    else if (c == backCommand) {
      display.setCurrent(mainForm);
    }
    else {
      super.commandAction(c, d);
    }
  }
}
