package com.javaonpdas.ui;

import javax.microedition.lcdui.*;

public class TextBoxMIDlet extends BaseUIMIDlet {

  private Command textBoxCommand =
    new Command("Text Box", Command.SCREEN, 1);

  public TextBoxMIDlet() {
    super();
    mainForm.setTitle("TextBoxMIDlet");
    mainForm.addCommand(textBoxCommand);
  }

  public void commandAction(Command c, Displayable d) {
    if (c == textBoxCommand) {
      TextBox textBox =
        new TextBox("Movies", "", 20, TextField.ANY);
      textBox.addCommand(okCommand);
      textBox.addCommand(backCommand);
      textBox.addCommand(exitCommand);
      textBox.setCommandListener(this);
      display.setCurrent(textBox);
    }
    else if (c == okCommand) {
      TextBox textBox = (TextBox)d;
      String movieSelected = textBox.getString();
      // display the result
      Alert alert = new Alert("Selection");
      alert.setString(movieSelected);
      alert.setTimeout(5000);
      alert.setType(AlertType.INFO);
      display.setCurrent(alert, mainForm);
    }
    else if (c == backCommand) {
      display.setCurrent(mainForm);
    }
    else {
      super.commandAction(c, d);
    }
  }
}
