package com.javaonpdas.ui;

import java.awt.*;
import java.awt.event.*;

public class MenuWindow extends Frame {

  public MenuWindow(String title) {
    super(title);
    // handle frame closing events
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    } );
    // add components
    MenuBar menuBar = new MenuBar();
    setMenuBar(menuBar);
    Menu menu1 = new Menu("Menu 1");
    Menu menu2 = new Menu("Menu 2");
    Menu menu3 = new Menu("Menu 3");
    menuBar.add(menu1);
    menuBar.add(menu2);
    menuBar.add(menu3);
    MenuItem item11 = new MenuItem("Item 1.1");
    MenuItem item12 = new MenuItem("Item 1.2");
    MenuItem item21 = new MenuItem("Item 2.1");
    MenuItem item22 = new MenuItem("Item 2.2");
    MenuItem item31 = new MenuItem("Item 3.1");
    MenuItem item32 = new MenuItem("Item 3.2");
    menu1.add(item11);
    menu1.add(item12);
    menu2.add(item21);
    menu2.add(item22);
    menu3.add(item31);
    menu3.add(item32);
  }

  public static void main(String[] args) {
    Frame f = new MenuWindow("MenuWindow");
    f.setSize(f.getToolkit().getScreenSize());
    f.show();
  }
}
