package com.javaonpdas.webservices.clients.wingfoot;

import java.awt.Canvas;
import java.awt.Image;
import java.awt.Graphics;
import java.awt.Dimension;

public class ImageCanvas extends Canvas {
  private Image image = null;

  public ImageCanvas() {
    super();
  }

  public void setImage(Image image) {
    this.image = image;
  }

  public Image getImage() {
    return this.image;
  }

  public void update(Graphics g) {
    paint(g);
  }

  public void paint(Graphics g) {
    if (image != null) {
      Dimension size = getSize();
      g.clearRect(0, 0, size.width, size.height);
      g.drawImage(image, 0, 0, this);
    }
  }
}
