package com.javaonpdas.ui;

import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

public class BaseUIMIDlet extends MIDlet
  implements CommandListener {

  protected Form mainForm = new Form("BaseUIMIDlet");
  protected Command exitCommand = new Command("Exit",
    Command.EXIT, 10);
  protected Display display = null;
  protected static final String[] MOVIES = {"Gladiator",
                                            "The Patriot",
                                            "A Few Good Men"};
  protected Command okCommand = new Command("OK",
    Command.SCREEN, 1);
  protected Command backCommand = new Command("Back",
    Command.SCREEN, 2);

  public BaseUIMIDlet() {
    mainForm.addCommand(exitCommand);
    mainForm.setCommandListener(this);
  }

  public void startApp() {
    display = Display.getDisplay(this);
    display.setCurrent(mainForm);
  }

  public void pauseApp() {
  }

  public void destroyApp(boolean unconditional) {
  }

  public void commandAction(Command c, Displayable d) {
    if (c == exitCommand) {
      destroyApp(false);
      notifyDestroyed();
    }
  }
}
