package com.javaonpdas.ui;

import java.awt.*;
import java.awt.event.*;

public class FileDialogs extends Frame
  implements ActionListener {

  private TextField textField = null;

  public FileDialogs(String title) {
    super(title);
    // handle frame closing events
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    } );
    // add components
    setLayout(new FlowLayout(FlowLayout.LEFT, 10, 10));
    Button button = new Button("Open");
    add(button);
    textField = new TextField(20);
    add(textField);
    button.addActionListener(this);
  }

  public void actionPerformed(ActionEvent evt) {
    FileDialog dialog = new FileDialog(this, "Open a file",
      FileDialog.LOAD);
    dialog.show();
    textField.setText(dialog.getFile());
  }

  public static void main(String[] args) {
    Frame f = new FileDialogs("FileDialogs");
    f.setSize(f.getToolkit().getScreenSize());
    f.show();
  }
}
