package com.javaonpdas.ui;

import java.awt.*;
import java.awt.event.*;

public class GridLayoutWindow extends Frame {

  public GridLayoutWindow(String title) {
    super(title);
    // handle frame closing events
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    } );
    // add components
    setLayout(new GridLayout(3,2));
    add(new Button("1"));
    add(new Button("2"));
    add(new Button("3"));
    add(new Button("4"));
    add(new Button("5"));
    add(new Button("6"));
  }

  public static void main(String[] args) {
    Frame f = new GridLayoutWindow("GridLayoutWindow");
    f.pack();
    f.setSize(f.getToolkit().getScreenSize());
    f.show();
  }
}
