package com.javaonpdas.ui;

import java.awt.*;
import java.awt.event.*;

public class TextFields extends Frame {

  public TextFields(String title) {
    super(title);
    // handle frame closing events
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    } );
    // add components
    setLayout(new FlowLayout(FlowLayout.LEFT, 10, 10));
    TextField textField1 = new TextField();
    TextField textField2 = new TextField("Field 2");
    TextField textField3 = new TextField("Field 3",20);
    TextField textField4 = new TextField(20);
    add(textField1);
    add(textField2);
    add(textField3);
    add(textField4);
  }

  public static void main(String[] args) {
    Frame f = new TextFields("TextFields");
    f.setSize(f.getToolkit().getScreenSize());
    f.show();
  }
}
