package com.javaonpdas.webservices.clients.wingfoot;

import java.awt.Dialog;
import java.awt.Dimension;
import java.awt.TextArea;
import java.awt.Frame;
import java.awt.Panel;
import java.awt.Button;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;


public class ImageDialog extends Dialog {
  public ImageDialog(Frame parent, String title, String text) {
    super(parent, title, true);
    Panel textPanel = new Panel();
    TextArea textArea = new TextArea(text, 10, 28);
    textArea.setEditable(false);
    textPanel.add(textArea);
    add(textPanel, "Center");
    Panel buttonPanel = new Panel();
    Button okButton = new Button("OK");
    buttonPanel.add(okButton);
    add(buttonPanel, "South");
    okButton.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        setVisible(false);
      }
    } );
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        setVisible(false);
      }
    } );
    setSize(parent.getToolkit().getScreenSize());
  }
}
